Subject: [RFC] gpiolib: introduce descriptor-based GPIO interface

From: [email-masked] (Grant Likely)
Date: Mon, 10 Dec 2012 22:34:25 +0000

On Fri, 7 Dec 2012 11:06:34 +0900, Alex Courbot <[email-masked]> wrote:
> On Thursday 06 December 2012 22:42:59 Grant Likely wrote:
> > how about "gpio_chip_hwnum()" to somewhat match irqdomain convention?
> 
> Sure, matching existing interfaces is better. "git grep hwnum" does not seem 
> to reveal much related to irqdomain though?

irqdomain actually uses "hwirq". "hwgpio" would be a closer analog than
'hwnum'.  At first I though hwgpio to be too goofy, but on further
reflection it probably has the least likelyhood of getting used
incorrectly.

g.